### Hierarchy

- ActivatedJob

## Index

### Properties

- customHeaders
- deadline
- jobHeaders
- key
- retries
- type
- variables
- worker

## Properties

### customHeaders

customHeaders: string

- Defined in lib/interfaces.ts:60

JSON object as a string

### deadline

deadline: string

- Defined in lib/interfaces.ts:66

epoch milliseconds

### jobHeaders

jobHeaders: JobHeaders

- Defined in lib/interfaces.ts:56

### key

key: string

- Defined in lib/interfaces.ts:54

### retries

retries: number

- Defined in lib/interfaces.ts:62

### type

type: string

- Defined in lib/interfaces.ts:55

### variables

variables: string

- Defined in lib/interfaces.ts:70

JSON object as a string

### worker

worker: string

- Defined in lib/interfaces.ts:61

Generated using TypeDoc